获取合约信息
请求示例
curl "https://api.mexc.com/api/v1/contract/detail/country"
响应示例
{
"success": true,
"code": 0,
"data": {
"symbol": "BTC_USDT",
"displayName": "BTC_USDT永续",
"displayNameEn": "BTC_USDT PERPETUAL",
"positionOpenType": 3,
"baseCoin": "BTC",
"quoteCoin": "USDT",
"baseCoinName": "BTC",
"quoteCoinName": "USDT",
"futureType": 1,
"settleCoin": "USDT",
"contractSize": 0.0001,
"minLeverage": 1,
"maxLeverage": 500,
"countryConfigContractMaxLeverage": 0,
"priceScale": 1,
"volScale": 0,
"amountScale": 4,
"priceUnit": 0.1,
"volUnit": 1,
"minVol": 1,
"maxVol": 400000,
"bidLimitPriceRate": 0.1,
"askLimitPriceRate": 0.1,
"takerFeeRate": 0.0001,
"makerFeeRate": 0,
"maintenanceMarginRate": 0.001,
"initialMarginRate": 0.002,
"riskBaseVol": 17000000,
"riskIncrVol": 0,
"riskLongShortSwitch": 0,
"riskIncrMmr": 0,
"riskIncrImr": 0,
"riskLevelLimit": 1,
"priceCoefficientVariation": 0.004,
"indexOrigin": [
"BITGET",
"BYBIT",
"BINANCE",
"HTX",
"OKX",
"MEXC",
"KUCOIN"
],
"state": 0,
"isNew": false,
"isHot": false,
"isHidden": false,
"conceptPlate": [
"mc-trade-zone-layer2",
"mc-trade-zone-pow"
],
"conceptPlateId": [
5,
12
],
"riskLimitType": "BY_VOLUME",
"maxNumOrders": [
200,
50
],
"marketOrderMaxLevel": 20,
"marketOrderPriceLimitRate1": 0.1,
"marketOrderPriceLimitRate2": 0.005,
"triggerProtect": 0.1,
"appraisal": 0,
"showAppraisalCountdown": 0,
"automaticDelivery": 0,
"apiAllowed": true,
"depthStepList": [
"0.1",
"1",
"10",
"100"
],
"limitMaxVol": 2500000,
"threshold": 0,
"baseCoinIconUrl": "https://public.mocortech.com/coin/F20250612182226438Ba037qttKoGcrm.png",
"id": 10,
"vid": "128f589271cb4951b03e71e6323eb7be",
"baseCoinId": "febc9973be4d4d53bb374476239eb219",
"createTime": 1591242684000,
"openingTime": 0,
"openingCountdownOption": 1,
"showBeforeOpen": true,
"isMaxLeverage": true,
"isZeroFeeRate": false,
"riskLimitMode": "CUSTOM",
"isZeroFeeSymbol": false,
"riskLimitCustom": [
{
"level": 1,
"maxVol": 50000,
"mmr": 0.001,
"imr": 0.002,
"maxLeverage": 500
},
{
"level": 2,
"maxVol": 120000,
"mmr": 0.004,
"imr": 0.005,
"maxLeverage": 200
},
{
"level": 3,
"maxVol": 320000,
"mmr": 0.005,
"imr": 0.01,
"maxLeverage": 100
},
{
"level": 4,
"maxVol": 2280000,
"mmr": 0.01,
"imr": 0.02,
"maxLeverage": 50
},
{
"level": 5,
"maxVol": 15500000,
"mmr": 0.02,
"imr": 0.05,
"maxLeverage": 20
},
{
"level": 6,
"maxVol": 17000000,
"mmr": 0.05,
"imr": 0.1,
"maxLeverage": 10
}
],
"liquidationFeeRate": 0.0004,
"feeRateMode": "NORMAL",
"leverageFeeRates": [],
"tieredFeeRates": [],
"type": 1,
"stopOnlyFair": false,
"preMarket": false,
"typeLabel": 0,
"fn": "BTC_USDT永续",
"feeRateType": "BASE",
"tagIdList": [
5,
8
]
}
}
- GET
/api/v1/contract/detail/country
请求参数:
| 参数名 | 类型 | 是否必填 | 说明 |
|---|---|---|---|
| symbol | string | false | 合约名 |
响应参数:
| 参数名 | 类型 | 说明 |
|---|---|---|
| symbol | string | 合约名 |
| displayName | string | 展示名 |
| displayNameEn | string | 英文展示名 |
| positionOpenType | int | 开仓类型:1 逐仓,2 全仓,3 逐仓与全仓均支持 |
| baseCoin | string | 标的货币,如 BTC |
| quoteCoin | string | 标价货币,如 USDT |
| baseCoinName | string | 标的货币名称 |
| quoteCoinName | string | 标价货币名称 |
| futureType | int | 合约类型:1 永续合约,2 交割合约 |
| settleCoin | string | 结算货币,如 USDT |
| contractSize | decimal | 合约面值 |
| minLeverage | int | 杠杆倍数下限 |
| maxLeverage | int | 杠杆倍数上限 |
| countryConfigContractMaxLeverage | int | 国家配置当前合约最大杠杆 |
| priceScale | int | 价格精度 |
| volScale | int | 数量精度 |
| amountScale | int | 金额精度 |
| priceUnit | decimal | 价格最小步进单位 |
| volUnit | decimal | 数量最小步进单位 |
| minVol | decimal | 订单张数下限 |
| maxVol | decimal | 订单张数上限 |
| bidLimitPriceRate | decimal | 买单价格限制比率 |
| askLimitPriceRate | decimal | 卖单价格限制比率 |
| takerFeeRate | decimal | 吃单费率 |
| makerFeeRate | decimal | 挂单费率 |
| maintenanceMarginRate | decimal | 维持保证金率 |
| initialMarginRate | decimal | 初始保证金率 |
| riskBaseVol | decimal | 基本张数 |
| riskIncrVol | decimal | 递增张数 |
| riskLongShortSwitch | int | 多、空风险限额是否独立开关;0 未开启;1 开启 |
| riskIncrMmr | decimal | 维持保证金率递增量 |
| riskIncrImr | decimal | 初始保证金率递增量 |
| riskLevelLimit | int | 风险限额档位数 |
| priceCoefficientVariation | decimal | 合理价格偏离指数价格系数 |
| indexOrigin | List<String> | 指数来源 |
| state | int | 状态:0 启用,1 交割,2 交割完成,3 下线,4 暂停 |
| isNew | boolean | 是否为新上标签;true:是,false:否 |
| isHot | boolean | 是否为热门标签;true:是,false:否 |
| isHidden | boolean | 是否默认隐藏展示;true:是,false:否 |
| conceptPlate | List<String> | 归属板块,与板块列表 entryKey 字段对应 |
| conceptPlateId | List<Integer> | 板块标签 ID |
| riskLimitType | string | 风险限额类型:BY_VOLUME 按张数,BY_VALUE 按仓位价值 |
| maxNumOrders | List<Integer> | 最大挂单数:[双向持仓最大挂单数, 单向持仓最大挂单数] |
| marketOrderMaxLevel | int | 市价最大吃单档位 |
| marketOrderPriceLimitRate1 | decimal | 市价单大于 20 档时的价格限制系数 |
| marketOrderPriceLimitRate2 | decimal | 市价单小于 20 档时的价格限制系数 |
| triggerProtect | decimal | 开启 priceProtect 的条件订单触发阈值,0 表示不保护 |
| appraisal | int | 考核标识:1 开启,0 关闭 |
| showAppraisalCountdown | int | 显示考核倒计时标识:1 开启,0 关闭 |
| automaticDelivery | int | 自动交割标识:1 开启,0 关闭 |
| apiAllowed | boolean | 是否支持 API 交易 |
| depthStepList | List<String> | 深度步进单位列表 |
| limitMaxVol | decimal | 限价单笔最大下单张数 |
| threshold | long | 0 关闭;大于 0 为有效配置 |
| baseCoinIconUrl | string | 合约标的货币图片 URL |
| id | int | 合约 ID |
| vid | string | 结算币种对应 vcoinId |
| baseCoinId | string | baseCoin 对应的 vcoinId |
| createTime | long | 创建时间,Unix 毫秒时间戳 |
| openingTime | long | 开盘时间,Unix 毫秒时间戳 |
| openingCountdownOption | int | 开盘倒计时展示:1 显示开盘时间与倒计时;2 仅显示开盘时间;3 不显示开盘时间与倒计时 |
| showBeforeOpen | boolean | 盘前是否在新币榜展示;true:是,false:否 |
| isMaxLeverage | boolean | 是否为最大杠杆标签;true:是,false:否 |
| isZeroFeeRate | boolean | 是否为零费率标签;true:是,false:否 |
| riskLimitMode | string | 风险限制模式:INCREASE 递增模式,CUSTOM 自定义模式 |
| isZeroFeeSymbol | boolean | 是否 0 费率交易对:true 参与 0 费率计划,false 否 |
| riskLimitCustom | array | 自定义模式风险限额列表;每项为 object,包含 level(档位)、maxVol(最大张数)、mmr(维持保证金率)、imr(初始保证金率)、maxLeverage(最大杠杆倍数) |
| liquidationFeeRate | decimal | 强平手续费率 |
| feeRateMode | string | 费率模式:NORMAL 普通模式,LEVERAGE 杠杆费率模式,TIERED 阶梯费率模式 |
| leverageFeeRates | array | 杠杆费率列表(feeRateMode 为 LEVERAGE 时使用;不适用时为空数组) |
| tieredFeeRates | array | 阶梯费率列表(feeRateMode 为 TIERED 时使用;不适用时为空数组) |
| type | int | 币对类型:1 普通,2 停盘类 |
| stopOnlyFair | boolean | 止盈止损是否仅允许按合理价触发;true:是,false:否 |
| preMarket | boolean | 是否为盘前交易;true:是,false:否 |
| typeLabel | int | 停盘类类型标签(旧字段保留兼容):0 不选择,1 TradFi,2 股票 |
| fn | string | 币种多语言全称信息 |
| feeRateType | string | 费率类型:BASE 基础费率,TEMP 临时费率 |
| tagIdList | List<Long> | 合约标签 ID 列表 |